unison-2.48.3-1 cannot sync to a server running unison2.48.3 (ocaml 4.02)

Andrew Schulman schulman.andrew@epa.gov
Wed Apr 20 20:59:00 GMT 2016


> unison 2.48.3-1 crashes while trying to sync single files to my server. 
> The server is running unison 2.48.3 compiled against ocaml 4.02.
> I think this might be an issue with ocaml 4.01 and 4.02 binary 
> incompability. ( 
> http://blog.gmane.org/gmane.network.unison.general/month=20150801 )
> 
> I used a precomiled version of unison 2.48.3 compiled against ocaml 4.02 
> from here ( https://www.irif.univ-paris-diderot.fr/~vouillon//unison/ ). 
> With this version the sync finished with success.
> 
> Could you please provide a unison version wich is compiled against ocaml 
> 4.02?

Sure! Thanks for reporting that. I'm still using earlier versions myself,
so I hadn't noticed it.

I'll post a new test release in the next day or so, for you to try.

I'm glad to know people are using Unison! For myself, I use it every day to
keep 5 hosts in sync. It's a basic part of my daily workflow.

Andrew


--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple



More information about the Cygwin mailing list